Skip to content

Applications REST API

Published: 2024-05-15

Last Updated: 2026-08-26

Return all applications defined in MDCMS.

GET /applications

This request has no query parameters and no request body.

JSON payloads

All MDCMS REST API response bodies use JSON.

Authorization

This resource does not require a bearer token. All other MDCMS REST API resources do. See Authenticate requests to the MDCMS REST API server.

Example

Replace {endpoint} with the URL endpoint defined for the MDCMS HTTP server.

curl "https://{endpoint}/applications"
GET /applications HTTP/1.1
Host: {endpoint}

Response body

Schema

Property Type Description
applications array List of application objects.

Application object

Property Type Description
appl string Application code.
desc string Application description.

Example

{
  "applications": [
    {
      "appl": "CSSB",
      "desc": "CSSB"
    },
    {
      "appl": "MD",
      "desc": "MD Settings and Updates"
    },
    {
      "appl": "TEST",
      "desc": "Test Primary App"
    },
    {
      "appl": "TSTB",
      "desc": "Test Primary äpplicatiön$"
    },
    {
      "appl": "WS",
      "desc": "WebSmart"
    }
  ]
}
Resource Description
Levels REST API List application levels
Attributes REST API List attributes for an application and level